Author Topic: Error updating with anpm  (Read 2793 times)

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Error updating with anpm
« on: August 25, 2016, 04:17:08 pm »
The error log said:

----------[ 25 Aug 2016 15:50:46 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_populate.py
Setting up yum
Initializing pipe
Pipe connected.
Setting up callbacks
Adding temporary repositories
Initializing cache
Setting up repos
Now checking metadata
Return code: 0
----------[ 25 Aug 2016 15:51:04 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_list.py
Setting up yum
Adding temporary repositories
Initializing cache
Requesting package list
Return code: 0
----------[ 25 Aug 2016 15:51:50 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_update_dep.py
Return code: 0
----------[ 25 Aug 2016 15:52:05 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_update.py
Running Transaction Check
Warning: RPMDB altered outside of yum.
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
glib2-2.33.12-2.oc00.i686 has missing requires of libgobject-2_0-0 = ('0', '2.33.12', None)
sh: 1: /@unixroot/var/tmp/rpm-tmp.wLJR7p: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.Cx3987: Invalid executable file format
error: %prein(coreutils-8.25-1.oc00.i686) scriptlet failed, exit status 2
warning: %post(coreutils-8.25-1.oc00.i686) scriptlet failed, exit status 2

Error:  Rpmdb checksum is invalid: dCDPT(pkg checksums)
PackageSackError()
Return code: 0
----------[ 25 Aug 2016 15:55:58 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_list.py
Setting up yum
Adding temporary repositories
Initializing cache
Requesting package list
Return code: 0

===========end log file=========
In display error see attach file.

What am I supposed to do now?

saludos
roberto



Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 8
  • -Receive: 91
  • Posts: 1177
    • View Profile
Re: Error updating with anpm
« Reply #1 on: August 25, 2016, 04:31:39 pm »
See http://trac.netlabs.org/rpm/ticket/200. Basically "yum reinstall coreutils" from a cmd prompt should fix.

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #2 on: August 25, 2016, 09:52:16 pm »
See http://trac.netlabs.org/rpm/ticket/200. Basically "yum reinstall coreutils" from a cmd prompt should fix.

This cmd fail:
Reinstalar     1 Package

Tamaño total: 2.7 M
Tamaño instalado: 2.7 M
Está de acuerdo [s/N]:s
Descargando paquetes:
Ejecutando verificación de transacción
Ejecutando prueba de transacción
La prueba de transacción ha sido exitosa
Ejecutando transacción
Advertencia: Las bases de datos (RPMDB) han sido modificadas por un elemento aje
no a yum.
** Se ha encontrado 1 problema(s) pre existentes en la base de datos RPM, este e
s el resultado de 'yum check':
glib2-2.33.12-2.oc00.i686 no se encuentran necesita de libgobject-2_0-0 = ('0',
'2.33.12', None)
sh: 1: /@unixroot/var/tmp/rpm-tmp.umJNw9: Invalid executable file format
  Instalando    : coreutils-8.25-1.oc00.i686                                1/1

sh: 1: /@unixroot/var/tmp/rpm-tmp.DG7wMv: Invalid executable file format


Rpmdb checksum is invalid: dCDPT(pkg checksums)

Saludos
Roberto

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 15
  • Posts: 259
    • View Profile
Re: Error updating with anpm
« Reply #3 on: August 25, 2016, 10:35:16 pm »
BTW: To get the English messages for bug reports, set the env var LANG=en_US before calling YUM.

BTW: The message "Rpmdb checksum is invalid: dCDPT(pkg checksums)" can be ignored. (ANPM filters that out because it's a Python problem, AFAIR.)

See also the hints here. Maybe that will work in your case. If not, I would file a bug to the RPM/YUM bug tracker.

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #4 on: August 26, 2016, 12:48:20 am »
BTW: To get the English messages for bug reports, set the env var LANG=en_US before calling YUM.
With en_US:
...
Reinstall     1 Package

Total size: 2.7 M
Installed size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
glib2-2.33.12-2.oc00.i686 has missing requires of libgobject-2_0-0 = ('0', '2.33
.12', None)
sh: 1: /@unixroot/var/tmp/rpm-tmp.Hyo8sc: Invalid executable file format
  Installing : coreutils-8.25-1.oc00.i686                                   1/1

sh: 1: /@unixroot/var/tmp/rpm-tmp.4pDXXR: Invalid executable file format
error: %prein(coreutils-8.25-1.oc00.i686) scriptlet failed, exit status 2
warning: %post(coreutils-8.25-1.oc00.i686) scriptlet failed, exit status 2


Rpmdb checksum is invalid: dCDPT(pkg checksums)
=====end ==============



Quote
See also the hints here. Maybe that will work in your case. If not, I would file a bug to the RPM/YUM bug tracker.
I have to read it again, but this pc the last update is  ----------[ 17 Aug 2016 16:02:24 ]----------
Executing: @python D:\TOOLS\anpm\scripts\yum_list.py
Setting up yum
Adding temporary repositories
Initializing cache
Requesting package list
Return code: 0

Saludos
Roberto

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 15
  • Posts: 259
    • View Profile
Re: Error updating with anpm
« Reply #5 on: August 26, 2016, 04:20:36 pm »
You could also try 'yum clean metadata' before. That has helped in my case some months ago. (But I don't know, if that's related.) That's the same as the menu item YUM -> Cleanup -> Metadata cache in ANPM.

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #6 on: August 27, 2016, 01:47:42 am »
You could also try 'yum clean metadata' before. That has helped in my case some months ago. (But I don't know, if that's related.) That's the same as the menu item YUM -> Cleanup -> Metadata cache in ANPM.
This option does not solve the probem , and the website you link from arcanoae is not the case .
I read this other link
http://www.os2world.com/forum/index.php/topic,1111.0.html see Lars number 6 and Andi 5
I made the Lars 6, and rename var var-stop too.

All ok, but only the standard packages.

I had to read me the packages installed on the anpm.log , and extract the names of installed packages , simiar this:
libc libstdc++6 pango freetype fontconfig zlib libkai pthread mmap fontconfig cairo os2-base pixman
qt4-assistant qt-doc qt4-demos qt4-designer qt4-devel-kit qtcreator qtcreator-doc  ghostscript-doc
os2-base os2-mpts curl zlib glib2 libglib-2_0-0  libgmodule-2_0-0 os2-release os2-base-0.0.0-11.oc00.i386
libpng  nspr  fontconfig-2.11.94-2.oc00.i686  libstdc++6 nspr nss libicu pixman cairo pango fontconfig freetype libkai
cube ca-certificates  tcl   libodin glib2  liblzma0 openssl popt urpo exceptq libgcc1 libgcc-fwd gcc-stdc++6 gcc-supc++6
 libc libgcc1 libgcc-fwd poppler poppler-data uclip poppler poppler-data

It would be interesting to have a list of installed packages , for a reinstallation .I do not know if this list is somewhere ?

In the reinstallation this packs fail:
----------[ 27 Aug 2016 02:22:01 ]----------
Executing: @python D:\TOOLS\ANPM\scripts\yum_install.py libodin
Running Transaction Check
Warning: RPMDB altered outside of yum.
sh: 1: /@unixroot/var/tmp/rpm-tmp.uCEZdT: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.DC26qm: Invalid executable file format
error: %prein(libodin-0.8.9-1.i386) scriptlet failed, exit status 2
warning: %post(libodin-0.8.9-1.i386) scriptlet failed, exit status 2

Error:  Rpmdb checksum is invalid: dCDPT(pkg checksums)
PackageSackError()
Return code: 0

----------[ 27 Aug 2016 01:56:33 ]----------
Executing: @python D:\TOOLS\ANPM\scripts\yum_install.py qt4-devel-kit
Running Transaction Check
Warning: RPMDB altered outside of yum.
sh: 1: /@unixroot/var/tmp/rpm-tmp.qVN6SC: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.51RMei: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.pn3810: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.VYDnfl: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.vz5kZt: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.Jjl1IN: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.jgq3XC: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.9zD06G: Invalid executable file format
sh: 1: /@unixroot/var/tmp/rpm-tmp.Kgj1qC: Invalid executable file format
error: %prein(libqt4-4.7.3.2-1.i386) scriptlet failed, exit status 2
warning: %post(libqt4-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-assistant-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-doc-4.7.3.2-1.noarch) scriptlet failed, exit status 2

warning: %post(qt4-demos-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-designer-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-devel-tools-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-qmlviewer-4.7.3.2-1.i386) scriptlet failed, exit status 2

warning: %post(qt4-linguist-4.7.3.2-1.i386) scriptlet failed, exit status 2

Error:  Rpmdb checksum is invalid: dCDPT(pkg checksums)
PackageSackError()
Return code: 0

----------[ 27 Aug 2016 01:04:56 ]----------
Executing: @python D:\TOOLS\ANPM\scripts\yum_install.py poppler
Running Transaction Check
Warning: RPMDB altered outside of yum.
sh: 1: /@unixroot/var/tmp/rpm-tmp.fNWVTY: Invalid executable file format
warning: %post(fontconfig-2.11.95-1.oc00.i686) scriptlet failed, exit status 2

Error:  Rpmdb checksum is invalid: dCDPT(pkg checksums)
PackageSackError()
Return code: 0

Saludos

TeLLie

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 6
  • Posts: 47
    • View Profile
Re: Error updating with anpm
« Reply #7 on: August 27, 2016, 09:30:32 am »
Hi

Just curious did you install dash ?

If so look @ trac.netlabs.org/rpm/ticket/200

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #8 on: August 27, 2016, 02:25:32 pm »
Hi

Just curious did you install dash ?

If so look @ trac.netlabs.org/rpm/ticket/200
Yes I have dash installed, and I see the ticked 200, but I do not how to apply fix.

After rename the folthers usr, etc, and var , I see this photos:

Is this normal?

Andreas Schnellbacher

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 15
  • Posts: 259
    • View Profile
Re: Error updating with anpm
« Reply #9 on: August 28, 2016, 12:45:24 am »
Doubled folders is a (harmless and not permanent) bug of the WPS together with XWP. I don't remember if it occurs only for XWP's split view.

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #10 on: August 28, 2016, 01:20:59 am »
Doubled folders is a (harmless and not permanent) bug of the WPS together with XWP. I don't remember if it occurs only for XWP's split view.
No is a bug, is ok or no?. I have not explained the problem well .
In a drive d:  I have 2 files with the same name, but in commamnd com or fc2 show the real name as other name. In drive show the *title name* The  OS2 can use two different names for one file , but one will be the title and other real name. But I understand that in drives should appear the real, not the title, or no?
On the other hand , to rename folders etc , usr , var and reinstall packages, anpm.exe fails to modify the config.sys . Of course this is not a new installation, but I think this program should have an option to recover from an error. Or at least a procedure to do so.

Saludos

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 8
  • -Receive: 91
  • Posts: 1177
    • View Profile
Re: Error updating with anpm
« Reply #11 on: August 28, 2016, 04:59:14 am »
You can always remove yum from /usr/bin and rerun ANPM. This will overwrite your install with the bootstrap and you will need to reinstall stuff, but it will keep working as all the old DLLs are still there.

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #12 on: August 30, 2016, 01:03:00 am »
I 'm at a point where almost everything works for me , but now I can not install LIBODIN with e same mistake before.
Any ideas?.
I already works with version Lucide 1-3-6rc2 with poppler ver 0.42.0.2 ( oc00 ) and without cups-fiters (something similar with libodin ?)
I can not reinstall earlier versions of python2.76.14

Saludos


roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 14
  • -Receive: 6
  • Posts: 332
    • View Profile
Re: Error updating with anpm
« Reply #13 on: August 30, 2016, 01:29:52 pm »
Hello,
Thanks, to all. Yesterday I run a cmd with 2 lines like this (us you proposed), and give me the same error, but the difference is that now after restart is runing ok.
The cmd:
set LANG=en_US
yum reinstall libodin